Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Mar 2016 15:23:59 -0400

> And I don't understand why Tramp shall refuse to provide file name
> completion once the user has asked for this explicitely. Typing
> "/ssh:host:tmp/em TAB" is a very convincing argument to me, that the
> user wants a new connection to "host",

We all agree.  And in that case, non-essential will be nil, so Tramp
can open a connection.  It can even do that without the second slash.

        Stefan